- Qt 6.10
- Qt PDF
- C++ Classes
- QPdfPageSelector
- Qt 6.10.2 Reference Documentation

# QPdfPageSelector Class

A widget for selecting a PDF page. More...

Header: | `#include <QPdfPageSelector>`
Since: | Qt 6.6

- List of all members, including inherited members

## Properties

- currentPage : int
- currentPageLabel : const QString
- document : QPdfDocument*

## Public Functions

| QPdfPageSelector(QWidget *parent)
virtual | ~QPdfPageSelector() override
int | currentPage() const
QString | currentPageLabel() const
QPdfDocument * | document() const
void | setDocument(QPdfDocument *document)

## Public Slots

void | setCurrentPage(int index)

## Signals

void | currentPageChanged(int index)
void | currentPageLabelChanged(const QString &label)
void | documentChanged(QPdfDocument *document)

## Detailed Description

QPdfPageSelector is a widget for selecting a page label from a QPdfDocument.

See also QPdfDocument::pageLabel().

## Property Documentation

### currentPage : int

This property holds the index (`0`-based) of the current page in the document.

Access functions:

int | currentPage() const
void | setCurrentPage(int index)

Notifier signal:

void | currentPageChanged(int index)

### `[read-only]` currentPageLabel : const QString

This property holds the page label corresponding to the current page in the document.

This is the text presented to the user.

Access functions:

QString | currentPageLabel() const

Notifier signal:

void | currentPageLabelChanged(const QString &label)

See also QPdfDocument::pageLabel().

### document : QPdfDocument*

This property holds the document to be viewed.

Access functions:

QPdfDocument * | document() const
void | setDocument(QPdfDocument *document)

Notifier signal:

void | documentChanged(QPdfDocument *document)

## Member Function Documentation

### `[explicit]` QPdfPageSelector::QPdfPageSelector(QWidget *parent)

Constructs a PDF page selector with parent widget parent.

### `[override virtual noexcept]` QPdfPageSelector::~QPdfPageSelector()

Destroys the page selector.